package com.kmall.manager.manager.pingan.properties;

import java.io.Serializable;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-09-27
 */
public class PinganPayProperties implements Serializable {

    private static final long serialVersionUID = -5150960165047052585L;

    private String payOpenId;
    private String payOpenKey;
    private String payPublicKey;
    private String payPrivateKey;

    private String pluginOpenId;
    private String pluginOpenKey;
    private String pluginPublicKey;
    private String pluginPrivateKey;

    private String payUrl;
    private String pluginUrl;
    private String fileUrl;

    private String notifyUrl;
    private String jumpUrl;

    public String getPayOpenId() {
        return payOpenId;
    }

    public void setPayOpenId(String payOpenId) {
        this.payOpenId = payOpenId;
    }

    public String getPayOpenKey() {
        return payOpenKey;
    }

    public void setPayOpenKey(String payOpenKey) {
        this.payOpenKey = payOpenKey;
    }

    public String getPayPublicKey() {
        return payPublicKey;
    }

    public void setPayPublicKey(String payPublicKey) {
        this.payPublicKey = payPublicKey;
    }

    public String getPayPrivateKey() {
        return payPrivateKey;
    }

    public void setPayPrivateKey(String payPrivateKey) {
        this.payPrivateKey = payPrivateKey;
    }

    public String getPluginOpenId() {
        return pluginOpenId;
    }

    public void setPluginOpenId(String pluginOpenId) {
        this.pluginOpenId = pluginOpenId;
    }

    public String getPluginOpenKey() {
        return pluginOpenKey;
    }

    public void setPluginOpenKey(String pluginOpenKey) {
        this.pluginOpenKey = pluginOpenKey;
    }

    public String getPluginPublicKey() {
        return pluginPublicKey;
    }

    public void setPluginPublicKey(String pluginPublicKey) {
        this.pluginPublicKey = pluginPublicKey;
    }

    public String getPluginPrivateKey() {
        return pluginPrivateKey;
    }

    public void setPluginPrivateKey(String pluginPrivateKey) {
        this.pluginPrivateKey = pluginPrivateKey;
    }

    public String getPayUrl() {
        return payUrl;
    }

    public void setPayUrl(String payUrl) {
        this.payUrl = payUrl;
    }

    public String getPluginUrl() {
        return pluginUrl;
    }

    public void setPluginUrl(String pluginUrl) {
        this.pluginUrl = pluginUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getJumpUrl() {
        return jumpUrl;
    }

    public void setJumpUrl(String jumpUrl) {
        this.jumpUrl = jumpUrl;
    }
}
